<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Traits\NextKey;
use App\Traits\PushNew;

class PaymentItem extends Model
{
	use NextKey,PushNew;
	const RECORD_ID = 'payment_item';
	public $incrementing = FALSE;

	const CREATED_AT = 'date_orig';
	const UPDATED_AT = 'date_last';

	protected $table = 'ab_payment_item';

	public function payment() {
		return $this->belongsTo(Payment::class);
	}
}