<table class="table table-sm">
    <tr>
        <th>Supplier</th><td>{{ $o->product->type ? $o->product->type->supplier->name : 'Supplier Unknown' }}</td>
    </tr>
    <tr>
        <th>Supplier Product</th><td>#{{ $o->product_id }}: {{ $o->product->type ? $o->product->type->product->product_id : 'Product Unknown' }}</td>
    </tr>
    @if($o->product->type)
        <tr>
            <!-- @todo Tax shouldnt be hard coded -->
            <th>Supplier Setup</th><td>${{ number_format($o->product->type->product->setup_cost*1.1,2) }}</td>
        </tr>
        <tr>
            <th>Supplier Cost</th><td>${{ number_format($o->product->type->cost,2) }}</td>
        </tr>
        <tr>
            <th>Supplier Contract</th><td>{{ $o->product->type->product->contract_term }} months</td>
        </tr>
        <tr>
            <!-- @todo Tax shouldnt be hard coded -->
            <th>Supplier Min Cost</th><td>${{ number_format((($x=$o->product->type->product)->setup_cost+$x->base_cost*$x->contract_term)*1.1,2) }}</td>
        </tr>
    @endif
    <tr>
        <th>Price</th><td>${{ number_format($o->billing_monthly_price,2) }} <small>(${{ number_format($o->billing_monthly_price*12,2) }} Annually)</small></td>
    </tr>
    @if($o->product->type AND $o->product->type->cost)
        <tr>
            <th>Markup</th><td>{{ number_format(($o->billing_monthly_price/$o->product->type->cost-1)*100,2) }}%</td>
        </tr>
    @endif
</table>